Re: [PATCH v3 9/9] perf build: Use feature dump file for build-test
From: Wangnan (F)
Date: Fri Jan 15 2016 - 09:09:43 EST
On 2016/1/15 12:00, Wang Nan wrote:
To prevent feature check run too many times, this patch utilizes
previous introduced feature-dump make target and FEATURES_DUMP
variable, makes sure the feature checkers run only once when doing
build-test for normal test cases.
Signed-off-by: Wang Nan <wangnan0@xxxxxxxxxx>
Cc: Jiri Olsa <jolsa@xxxxxxxxxx>
Cc: Arnaldo Carvalho de Melo <acme@xxxxxxxxxx>
Cc: Namhyung Kim <namhyung@xxxxxxxxxx>
---
tools/perf/tests/make | 31 +++++++++++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/tools/perf/tests/make b/tools/perf/tests/make
index f918015..6473324 100644
--- a/tools/perf/tests/make
+++ b/tools/perf/tests/make
@@ -15,6 +15,7 @@ else
PERF := .
PERF_O := $(PERF)
O_OPT :=
+FULL_O := $(shell readlink -f $(PERF_OUT) || echo $(PERF_OUT))
Sorry. I forgot to rename PERF_OUT to PERF_O here.
I send a [PATCH v3 9/9 -fix] for this mistake.
Jiri, please help me test this patchset again with the above fix. Today I
don't have enough time to test them throughly.
Thank you.